2017-11-14

Attention all Firefox users

Firefox 57 shipped to release on November 14, 2017 and no longer supports older browser extensions. To use Firefox 57 with Citavi, please update to Citavi 5.6 or 5.7 and the latest version of the Picker from the Firefox Add-on store.

Please see our FAQ for more information.